Bug 1777072

Summary: [abrt] tracer_init_tracefs: WARNING: CPU: 2 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Product: [Fedora] Fedora Reporter: Michael <michael.scheiffler>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: airlied, bskeggs, bugzilla, dominik, eber67, hdegoede, ichavero, itamar, jarodwilson, jeremy, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, masami256, mchehab, mjg59, nicolas.mailhot, ozeszty+rhbz, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/df0dc266fa2d8c576cdfb7cb974322ee3dcd01f7
Whiteboard: abrt_hash:7684cf2f121359715ec5fecddfc5a83a14e12575;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description Michael 2019-11-26 21:41:43 UTC
Additional info:
reporter:       libreport-2.11.3
WARNING: CPU: 2 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Modules linked in:
CPU: 2 PID: 1 Comm: swapper/0 Not tainted 5.4.0-0.rc8.git0.2.fc32.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 820 G2/225A, BIOS M71 Ver. 01.30 10/02/2019
RIP: 0010:ftrace_init_tracefs_toplevel+0x12d/0x17e
Code: b9 0e 00 00 00 48 8d 78 20 f3 a5 4c 89 70 20 48 8d 78 20 e8 cd c2 34 fe 85 c0 74 84 89 ee 48 c7 c7 c0 77 34 b1 e8 29 a2 25 fe <0f> 0b 5b 4c 89 f7 5d 41 5c 41 5d 41 5e e9 99 47 44 fe 31 c9 49 c7
RSP: 0000:ffffb54180033df0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff97ffbfa00000 RCX: 000000000000028e
RDX: 0000000000000001 RSI: 0000000000000082 RDI: 0000000000000246
RBP: 0000000000000000 R08: 0000000000000001 R09: 000000000000028e
R10: 000000000000c614 R11: 0000000000000003 R12: 0000000000000000
R13: 000000000001c980 R14: ffff97ffbcde8a50 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff97ffbfa80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000024f60a001 CR4: 00000000003606e0
Call Trace:
 tracer_init_tracefs+0x8c/0x1e7
 ? register_tracer+0x1bc/0x1bc
 do_one_initcall+0x46/0x1f4
 kernel_init_freeable+0x1a1/0x248
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x35/0x40

Comment 1 Michael 2019-11-26 21:41:50 UTC
Created attachment 1639970 [details]
File: dmesg

Comment 2 Chris Murphy 2019-12-07 00:20:08 UTC
Looks like this:
https://lkml.org/lkml/2019/12/2/659

I'm hitting it also on multiple computers of different makes/models, and it taints the kernel on those systems with Secure Boot enabled.